library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity test_vrom is
port(
VA          : out std_logic_vector(15 downto 0);
ZA          : out std_logic_vector(15 downto 0);
ZD          : out std_logic_vector(7 downto 0);
nRD         : out std_logic;
nWR         : out std_logic;
nMREQ       : out std_logic;
nIORQ       : out std_logic;
nM1         : out std_logic;
BORDER      : out std_logic;
CSYNC       : out std_logic;
KSYNC       : out std_logic;
BLANK       : out std_logic;
FLASH       : out std_logic;
CLK         : out std_logic;
ZZ80_nINT   : out std_logic;
ZZ80_nRES   : out std_logic
);
end;

architecture only of test_vrom is

COMPONENT top
    port(
        F14         : in std_logic;
        nRES        : in std_logic;
        PORT_FE_D5  : in std_logic;
        VA          : out std_logic_vector(15 downto 0);
        ZA          : out std_logic_vector(15 downto 0);
        ZD          : out std_logic_vector(7 downto 0);
        nRD         : out std_logic;
        nWR         : out std_logic;
        nMREQ       : out std_logic;
        nIORQ       : out std_logic;
        nM1         : out std_logic;
        BORDER      : out std_logic;
        CSYNC       : out std_logic;
        KSYNC       : out std_logic;
        BLANK       : out std_logic;
        FLASH       : out std_logic;
        CLK         : out std_logic;
        ZZ80_nINT   : out std_logic;
        ZZ80_nRES   : out std_logic
        );
END COMPONENT ;

signal CLC      : std_logic:= '0';
signal nRES     : std_logic:= '0';
signal D5_FE    : std_logic:= '0';

begin

clock : PROCESS
   begin
   wait for 35.714 ns; CLC  <= not CLC;
end PROCESS clock;

stimulus : PROCESS
begin
    wait for 1000 ns;
    nRES <= '1';
    wait;
end PROCESS stimulus;

dut : top 
    PORT MAP (
        F14         => CLC,
        nRES        => nRES,
        PORT_FE_D5  => D5_FE,
        VA          => VA,
        ZA          => ZA,
        ZD          => ZD,
        nRD         => nRD,
        nWR         => nWR,
        nMREQ       => nMREQ,
        nIORQ       => nIORQ,
        nM1         => nM1,
        BORDER      => BORDER,
        CSYNC       => CSYNC,
        KSYNC       => KSYNC,
        BLANK       => BLANK,
        FLASH       => FLASH,
        ZZ80_nINT   => ZZ80_nINT,
        CLK         => CLK,
        ZZ80_nRES   => ZZ80_nRES
   );

end only;
 